:: switch modem to debug/project mode
:: hw-api example

@echo off
setlocal
cls

set mode=
set batch=1

if "%~1"=="" goto AskMode
if "%~1"=="1" set mode=1
if "%~1"=="2" set mode=2
if "%~1"=="debug" set mode=1
if "%~1"=="project" set mode=2

if defined mode goto DoSwitch

:Usage
echo Bad mode: %1
echo USAGE: switch_mode.cmd [1^|debug^|2^|project]
echo.
goto Exit

:AskMode
set batch=0
echo Switch modem to mode:
echo.
echo 1 - Debug Mode
echo 2 - Project Mode
echo.
echo 0 or ENTER - exit
echo.
set /P mode="Enter mode: "
echo.

:DoSwitch
set _n=
if "%mode%"=="1" (
	echo Switching to debug mode...
	set _n=1
) else if "%mode%"=="2"	(
	echo Switching to project mode...
	set _n=0
) 
if not defined _n goto Exit

call hw-api Init || (call echo API Init ERROR: #%%api_error%% & goto Exit)
call hw-api Post CGI "%api_xml%<api version='1.0'><header><function>switchMode</function></header><body><request><switchType>%_n%</switchType></request></body></api>"

:Exit
if %batch%==0 (
	echo.
	echo Exit.
	pause
)

call hw-api Done

endlocal
