:: connect or disconnect inet example 
:: hw-api example

@echo off
setlocal
cls

set batch=1
if "%~1"=="" set batch=0

set _status_900=CONNECTING
set _status_901=CONNECTED
set _status_902=DISCONNECTED
set _status_903=DISCONNECTING

call hw-api Init || goto ErrorExit
call hw-api Auth || goto ErrorExit

call :PrintStatus 
echo.
if %batch%==0 goto AskMode

:: Parse params
set _n=
if "%~1"=="1" set _n=1
if "%~1"=="on" set _n=1
if "%~1"=="0" set _n=0
if "%~1"=="off" set _n=0
if defined _n goto DoDial

:: Usage
echo Usage: dial [^<N^>]
echo Where ^<N^>:
echo 1 - enable internet
echo 0 - disable internet
echo.
pause
goto Exit

:AskMode
echo Choose:
echo.
echo 1 - Connect
echo 0 - Disconnect
echo.
echo ENTER - exit
echo.
set /P _n="Type: "
echo.
if not "%_n%"=="1" (if not "%_n%"=="0" set batch=1 & goto Exit)

:DoDial
call hw-api POST /api/dialup/mobile-dataswitch "%api_xml%<request><dataswitch>%_n%</dataswitch></request>" || goto ErrorExit
call hw-api Val /response _tmp

echo Response: %_tmp%
echo.
call :PrintStatus
goto Exit

:PrintStatus
:: request and print status info
call hw-api Get api/monitoring/status || exit /b
call hw-api Val /response/ConnectionStatus _cs
set _css=%_cs%
if defined _status_%_cs% call set _css=%%_status_%_cs%%%
echo Current modem status is: %_css%
exit /b

:ErrorExit
echo API %api_cmd% ERROR: #%api_error%

:Exit
echo.

if %batch%==0 pause
call hw-api Done

endlocal
exit /b

